using System;

internal sealed class Delegate698 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0, string string_1);

	public static void smethod_0(object object_0, string string_0, string string_1, Delegate698 delegate698_1)
	{
		delegate698_1(object_0, string_0, string_1);
	}

	public extern Delegate698(object object_0, IntPtr intptr_0);

	static Delegate698()
	{
		Class10.smethod_13(typeof(Delegate698).TypeHandle);
	}

	internal static Delegate698 delegate698_0;
}
